Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBALOC_Parser.cpp File Reference

`#include "CORBALOC_Parser.h"`
`#include "ORB_Core.h"`
`#include "Stub.h"`
`#include "MProfile.h"`
`#include "Connector_Registry.h"`
`#include "Transport_Connector.h"`
`#include "Protocol_Factory.h"`
`#include "tao/debug.h"`
`#include "ace/Vector_T.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/os_include/os_netdb.h"`

Include dependency graph for CORBALOC_Parser.cpp:

## Variables
const char | prefix [] = "corbaloc:"
const size_t | prefix_len = sizeof prefix - 1
const char | rir_token [] = "rir:"
const size_t | rir_token_len = sizeof rir_token - 1
const char | iiop_token [] = "iiop:"
const char | iiop_token_len = sizeof iiop_token - 1

## Variable Documentation

const char iiop_token[] = "iiop:"`[static]`

const char iiop_token_len = sizeof iiop_token - 1`[static]`

const char prefix[] = "corbaloc:"`[static]`

const size_t prefix_len = sizeof prefix - 1`[static]`

const char rir_token[] = "rir:"`[static]`

const size_t rir_token_len = sizeof rir_token - 1`[static]`